Bug 910401

Summary: Package review: iagno
Product: [Fedora] Fedora Reporter: Matthias Clasen <mclasen>
Component: Package ReviewAssignee: Yanko Kaneti <yaneti>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: gwync, kalevlember, notting, package-review, yaneti
Target Milestone: ---Flags: yaneti: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: iagno-3.8.0-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-27 13:32:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matthias Clasen 2013-02-12 14:38:04 UTC
gnome-games has been broken up into individual modules upstream. We already had this split in our gnome-games package, but it is cleaner to have individual packages for each tarball. Here's one:

Spec: http://mclasen.fedorapeople.org/iagno.spec
SRPM: http://mclasen.fedorapeople.org/iagno-3.7.4-1.fc19.src.rpm
Description:
The GNOME version of Reversi. The goal is to control the most disks
on the board.

Comment 1 Yanko Kaneti 2013-02-13 08:53:19 UTC
Same as gnome-mahjongg the documentation license is CC-BY-SA

-License:        GPLv2+ and GFDL
+License:        GPLv2+ and CC-BY-SA

Otherwise the source matches, package builds in mock, game works (as well as it can), rpmlint only says:

iagno.x86_64: E: incorrect-fsf-address /usr/share/doc/iagno-3.7.4/COPYING

for which I've filed a bug upstream.
https://bugzilla.gnome.org/show_bug.cgi?id=693699

APPROVED
I'll pester you later if you don't change the license before committing.

Comment 2 Kalev Lember 2013-03-23 13:33:11 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: iagno
Short Description: GNOME Reversi game
Owners: mclasen
Branches: f19
InitialCC:

Comment 3 Gwyn Ciesla 2013-03-23 14:03:16 UTC
Done.

Comment 4 Kalev Lember 2013-03-27 13:01:32 UTC
Something seems to have gone wrong with the repo creation, I'm getting errors with cloning the new repo:

Cloning into 'iagno'...
fatal: '/srv/git/rpms//iagno.git' does not appear to be a git repository
fatal: Could not read from remote repository.

Comment 5 Gwyn Ciesla 2013-03-27 13:11:03 UTC
I had some script issues this weekend, should be good now.

Comment 6 Kalev Lember 2013-03-27 13:32:04 UTC
Thanks Jon!

Package imported and built; closing the ticket.